## mathcomp-multinomials 1.5.5

=== Makefile ===
# -*- Makefile -*-

# --------------------------------------------------------------------
DUNEOPTS ?=
DUNE     := dune $(DUNEOPTS)

# --------------------------------------------------------------------
.PHONY: default build clean

default: build

build:
	$(DUNE) build

clean:
	$(DUNE) clean

=== debian/changelog ===
mathcomp-multinomials (1.5.5-8) unstable; urgency=medium

  * Add an autopkgtest.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 05 Jul 2022 09:57:33 +0200

mathcomp-multinomials (1.5.5-7) unstable; urgency=medium

  * Fix use of dh-coq.
  * Fix installation directory.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 28 Jun 2022 08:46:47 +0200

mathcomp-multinomials (1.5.5-6) unstable; urgency=medium

  * Use dh-coq.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 12 Jun 2022 14:25:27 +0200

mathcomp-multinomials (1.5.5-5) unstable; urgency=medium

  * Re-upload because of ABI breakage.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 02 Jun 2022 13:44:54 +0200

mathcomp-multinomials (1.5.5-4) unstable; urgency=medium

  * Re-upload because of ABI breakage.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 24 May 2022 09:08:01 +0200

mathcomp-multinomials (1.5.5-3) unstable; urgency=medium

  * Complete d/copyright.
  * Bump standards-version to 4.6.1.

 -- Julien Puydt <jpuydt@debian.org>  Tue, 17 May 2022 22:02:41 +0200

mathcomp-multinomials (1.5.5-2) unstable; urgency=medium

  * Fix dep on the right coq ABI.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 05 May 2022 22:26:02 +0200

mathcomp-multinomials (1.5.5-1) unstable; urgency=medium

  * Initial release. (Closes: #1010637)

 -- Julien Puydt <jpuydt@debian.org>  Thu, 05 May 2022 22:15:32 +0200

=== debian/control ===
Source: mathcomp-multinomials
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>
Section: ocaml
Priority: optional
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: coq,
               debhelper-compat (= 13),
               dh-coq, dh-ocaml,
               libcoq-mathcomp-algebra,
               libcoq-mathcomp-bigenough,
               libcoq-mathcomp-finmap,
               libcoq-mathcomp-ssreflect,
               ocaml-dune
Vcs-Browser: https://salsa.debian.org/ocaml-team/mathcomp-multinomials
Vcs-Git: https://salsa.debian.org/ocaml-team/mathcomp-multinomials.git
Homepage: https://github.com/math-comp/multinomials

Package: libcoq-mathcomp-multinomials
Architecture: any
Depends: ${coq:Depends}, ${misc:Depends}
Provides: ${coq:Provides}
Suggests: ocaml-findlib
Description: Multivariate polynomials for Mathematical Components
 This package provides an extension to Mathematical Components
 for monomial algebra, multivariate polynomials over ring
 structures and an extended theory for polynomials whose
 coefficients live in abelian rings and integral domains.
 .
 The Mathematical Components library is a coherent repository of
 general-purpose formalized mathematical theories for the
 Coq proof assistant.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with coq,ocaml

override_dh_auto_configure:
	./configure --prefix=/usr

override_dh_auto_build:
	dune build

override_dh_auto_install:
	dune install --destdir $(CURDIR)/debian/tmp --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
	find $(CURDIR)/debian/tmp -name LICENSE -delete

=== debian/tests/control ===
Test-Command: coqtop -batch -rifrom SsrMultinomials mpoly
Restrictions: allow-stderr
Depends: @, coq

## mathcomp-multinomials 1.6.0

=== debian/changelog ===
mathcomp-multinomials (1.6.0-3build1) mantic; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 24 Jul 2023 19:09:49 +0200

mathcomp-multinomials (1.6.0-3) unstable; urgency=medium

  * Fix compilation with recent dune.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 06 Jul 2023 11:51:16 +0200

mathcomp-multinomials (1.6.0-2) unstable; urgency=medium

  * Fix autopkgtest (Closes: #1038695).

 -- Julien Puydt <jpuydt@debian.org>  Tue, 20 Jun 2023 11:39:20 +0200

mathcomp-multinomials (1.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.6.2.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 15 Jun 2023 07:22:40 +0200

=== debian/rules ===
--- 
+++ 
@@ -12,5 +12,5 @@
 	dune build
 
 override_dh_auto_install:
-	dune install --destdir $(CURDIR)/debian/tmp --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
+	dune install --destdir $(CURDIR)/debian/tmp --prefix=/usr --libdir=$(OCAML_STDLIB_DIR)
 	find $(CURDIR)/debian/tmp -name LICENSE -delete

## mathcomp-multinomials 2.1.0

=== debian/changelog ===
mathcomp-multinomials (2.1.0-1) unstable; urgency=medium

  * Fix d/rules clean target (Closes: #1048599).
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Fri, 22 Dec 2023 11:35:03 +0100

=== debian/rules ===
--- 
+++ 
@@ -14,3 +14,7 @@
 override_dh_auto_install:
 	dune install --destdir $(CURDIR)/debian/tmp --prefix=/usr --libdir=$(OCAML_STDLIB_DIR)
 	find $(CURDIR)/debian/tmp -name LICENSE -delete
+
+override_dh_auto_clean:
+	dune clean
+	rm -f src/dune

## mathcomp-multinomials 2.2.0

=== Makefile ===
--- 
+++ 
@@ -12,5 +12,8 @@
 build:
 	$(DUNE) build
 
+install:
+	$(DUNE) install
+
 clean:
 	$(DUNE) clean

=== debian/changelog ===
mathcomp-multinomials (2.2.0-3build4) oracular; urgency=medium

  * No-change rebuild for OCaml ABIs.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 07 Sep 2024 09:04:20 +0200

mathcomp-multinomials (2.2.0-3build3) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 15 Aug 2024 08:41:53 +0200

mathcomp-multinomials (2.2.0-3build2) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:54:19 +0200

mathcomp-multinomials (2.2.0-3build1) oracular; urgency=medium

  * Rebuild against latest coq

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 05 Aug 2024 09:43:15 -0400

mathcomp-multinomials (2.2.0-3) unstable; urgency=medium

  * Team upload
  * Do not hardcode /usr/lib/ocaml

 -- Stéphane Glondu <glondu@debian.org>  Sat, 03 Aug 2024 14:34:37 +0200

mathcomp-multinomials (2.2.0-2) unstable; urgency=medium

  * Bump for binary compatibility.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 30 Mar 2024 11:51:17 +0100

mathcomp-multinomials (2.2.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 20 Jan 2024 20:33:52 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: coq,
                debhelper-compat (= 13),

## mathcomp-multinomials 2.3.0

=== debian/changelog ===
mathcomp-multinomials (2.3.0-1build10) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 31 Aug 2025 21:20:55 +0200

mathcomp-multinomials (2.3.0-1build9) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 19 Jun 2025 18:36:15 +0200

mathcomp-multinomials (2.3.0-1build8) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 28 May 2025 09:39:30 +0200

mathcomp-multinomials (2.3.0-1build7) questing; urgency=medium

  * Rebuild against coq libraries

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 08 May 2025 13:23:41 -0400

mathcomp-multinomials (2.3.0-1build6) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 19 Feb 2025 08:21:19 +0100

mathcomp-multinomials (2.3.0-1build5) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 17 Feb 2025 06:35:17 +0100

mathcomp-multinomials (2.3.0-1build4) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Feb 2025 21:58:46 +0100

mathcomp-multinomials (2.3.0-1build3) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 31 Jan 2025 09:10:57 +0100

mathcomp-multinomials (2.3.0-1build2) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Jan 2025 09:41:57 +0100

mathcomp-multinomials (2.3.0-1build1) plucky; urgency=medium

  * Rebuild against latest coq libraries

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 20 Dec 2024 12:39:51 -0500

mathcomp-multinomials (2.3.0-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 18 Dec 2024 12:19:29 +0100

mathcomp-multinomials (2.2.0-4) unstable; urgency=medium

  * Bump standards-version to 4.7.0.
  * Add patch to compile with newer coq-elpi.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 20 Nov 2024 10:59:49 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Build-Depends: coq,
                debhelper-compat (= 13),
                dh-coq, dh-ocaml,
+               libcoq-elpi (>= 1.19),
                libcoq-mathcomp-algebra,
                libcoq-mathcomp-bigenough,
                libcoq-mathcomp-finmap,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with coq,ocaml

override_dh_auto_install:
	make install DESTDIR=$(CURDIR)/debian/tmp
	find $(CURDIR)/debian/tmp -name LICENSE -delete

override_dh_auto_clean:
	make clean
	rm Makefile.coq Makefile.coq.conf

## mathcomp-multinomials 2.4.0

=== debian/changelog ===
mathcomp-multinomials (2.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.7.2.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 30 Oct 2025 08:18:25 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Build-Depends: coq,
                debhelper-compat (= 13),
                dh-coq, dh-ocaml,
-               libcoq-elpi (>= 1.19),
+               libcoq-elpi,
                libcoq-mathcomp-algebra,
                libcoq-mathcomp-bigenough,
                libcoq-mathcomp-finmap,

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
 include /usr/share/ocaml/ocamlvars.mk
+
+export DEB_BUILD_OPTIONS += noautodbgsym
 
 %:
 	dh $@ --with coq,ocaml
